package com.ruoyi.system.domain.dto;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

public class SourceListDto {
    private Long sourceId;
    private String city;
    private String scenic;
    // 面积
    private String scale;

    private String part;

    private String price;
    // json 化的价格
    private Map<String, String> priceJson;

    private List<Map<String, SetSourcePriceDto>> priceList;


    private Long bBought;
    private String sourceStatus;
    private String workAddress;

    // 展示天数
    private Long pDay;

    private LocalDate startTime;
    private LocalDate endTime;

    // 期限
    private String time;

    // 剩余天数
    private Long rDay;

    private String coordinate;

    private String number;

    private int cX;
    private int cY;

    private Long workId;

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getScenic() {
        return scenic;
    }

    public void setScenic(String scenic) {
        this.scenic = scenic;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public Long getbBought() {
        return bBought;
    }

    public void setbBought(Long bBought) {
        this.bBought = bBought;
    }

    public String getSourceStatus() {
        return sourceStatus;
    }

    public void setSourceStatus(String sourceStatus) {
        this.sourceStatus = sourceStatus;
    }

    public String getWorkAddress() {
        return workAddress;
    }

    public void setWorkAddress(String workAddress) {
        this.workAddress = workAddress;
    }

    public Long getpDay() {
        return pDay;
    }

    public void setpDay(Long pDay) {
        this.pDay = pDay;
    }


    public LocalDate getStartTime() {
        return startTime;
    }


    public void setStartTime(LocalDate startTime) {
        this.startTime = startTime;
    }

    public LocalDate getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDate endTime) {
        this.endTime = endTime;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public Long getrDay() {
        return rDay;
    }

    public void setrDay(Long rDay) {
        this.rDay = rDay;
    }

    public String getScale() {
		return scale;
	}

    public void setScale(String scale) {
		this.scale = scale;
	}

    public Map<String, String> getPriceJson() {
		return priceJson;
	}

    public void setPriceJson(Map<String, String> priceJson) {
		this.priceJson = priceJson;
	}

    public String getCoordinate() {
		return coordinate;
	}

    public void setCoordinate(String coordinate) {
		this.coordinate = coordinate;
	}

    public String getNumber() {
		return number;
	}

    public void setNumber(String number) {
		this.number = number;
	}

    public List<Map<String, SetSourcePriceDto>> getPriceList() {
		return priceList;
	}

    public void setPriceList(List<Map<String, SetSourcePriceDto>> priceList) {
		this.priceList = priceList;
	}

    public int getcX() {
		return cX;
	}

    public void setcX(int cX) {
		this.cX = cX;
	}

    public int getcY() {
		return cY;
	}

    public void setcY(int cY) {
		this.cY = cY;
	}

    public Long getWorkId() {
		return workId;
	}

    public void setWorkId(Long workId) {
		this.workId = workId;
	}






}
